menu
#5776723 Declaration of KingOfTurkey38\KillCounter\Main::onEnable() must be compatible with pocketmine\plugin\PluginBase::onEnable(): void

Submitted by PocketMine-MP 4.0.6

General information

Version: 4.0.6
Git commit: f7d25f25
Plugin involvement: Direct
Report date: 2022-01-14 20:13:06 +0000 UTC
Server uptime: 0 days 0 hours 0 minutes 0 seconds

System Information

PHP version: 8.0.13
Operating system: linux
System banner: Linux b714fb6d-ed32-427d-9c92-0f9048b9cdab 5.4.0-91-generic #102-Ubuntu SMP Fri Nov 5 16:31:28 UTC 2021 x86_64

Error information

Warning: a plugin was directly involved in this crash. Please contact the plugin author.
Message: Declaration of KingOfTurkey38\KillCounter\Main::onEnable() must be compatible with pocketmine\plugin\PluginBase::onEnable(): void
File: plugins/KillCounter/src/KingOfTurkey38/KillCounter/Main
Line: #30
Error level: E_COMPILE_ERROR
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
use pocketmine\plugin\PluginBase;

class Main extends PluginBase implements Listener {


const KILL_COUNTER_TAG = "kill_counter_tag";
const KILL_COUNTER_LORE_TAG = "kill_counter_lore_tag";
const IS_KILL_COUNTER_TAG = "is_kill_counter_tag";

public function onEnable()
{
$this->saveDefaultConfig();
$this->getServer()->getPluginManager()->registerEvents($this, $this);
}

public function onCommand(CommandSender $sender, Command $command, string $label, array $args): bool
{
switch ($command->getName()){
case "killscroll":
if(!$command->testPermission($sender)) return true;

Loaded Plugins

  • Show

Server Settings

  • Show

Installed PHP Extensions

  • Show